# Plot API

## Ticks API

### `date_ticks`
```{eval-rst}
.. autoattribute:: planetary_coverage.ticks.date_ticks
```
### `deg_ticks`
```{eval-rst}
.. autoattribute:: planetary_coverage.ticks.deg_ticks
```
### `km_ticks`
```{eval-rst}
.. autoattribute:: planetary_coverage.ticks.km_ticks
```
### `au_ticks`
```{eval-rst}
.. autoattribute:: planetary_coverage.ticks.au_ticks
```
### `km_s_ticks`
```{eval-rst}
.. autoattribute:: planetary_coverage.ticks.km_s_ticks
```
### `m_s_ticks`
```{eval-rst}
.. autoattribute:: planetary_coverage.ticks.m_s_ticks
```
### `km_pix_ticks`
```{eval-rst}
.. autoattribute:: planetary_coverage.ticks.km_pix_ticks
```
### `m_pix_ticks`
```{eval-rst}
.. autoattribute:: planetary_coverage.ticks.m_pix_ticks
```
### `hr_ticks`
```{eval-rst}
.. autoattribute:: planetary_coverage.ticks.hr_ticks
```
### `lat_ticks`
```{eval-rst}
.. autoattribute:: planetary_coverage.ticks.lat_ticks
```
### `lon_e_ticks`
```{eval-rst}
.. autoattribute:: planetary_coverage.ticks.lon_e_ticks
```
### `lon_w_ticks`
```{eval-rst}
.. autoattribute:: planetary_coverage.ticks.lon_w_ticks
```
### `lon_west_ticks`
```{eval-rst}
.. autoattribute:: planetary_coverage.ticks.lon_west_ticks
```
### `UnitFormatter`
```{eval-rst}
.. autoclass:: planetary_coverage.ticks.ticks.UnitFormatter
```
### Astronomical unit `AU` in km
```{eval-rst}
.. autoattribute:: planetary_coverage.ticks.ticks.AU
```

## Planetary Maps API

### `MERCURY`
```{eval-rst}
.. autoattribute:: planetary_coverage.maps.MERCURY
```
### `VENUS`
```{eval-rst}
.. autoattribute:: planetary_coverage.maps.VENUS
```
### `EARTH`
```{eval-rst}
.. autoattribute:: planetary_coverage.maps.EARTH
```
### `MOON`
```{eval-rst}
.. autoattribute:: planetary_coverage.maps.MOON
```
### `MARS`
```{eval-rst}
.. autoattribute:: planetary_coverage.maps.MARS
```
### `JUPITER`
```{eval-rst}
.. autoattribute:: planetary_coverage.maps.JUPITER
```
### `IO`
```{eval-rst}
.. autoattribute:: planetary_coverage.maps.IO
```
### `EUROPA`
```{eval-rst}
.. autoattribute:: planetary_coverage.maps.EUROPA
```
### `GANYMEDE`
```{eval-rst}
.. autoattribute:: planetary_coverage.maps.GANYMEDE
```
### `CALLISTO`
```{eval-rst}
.. autoattribute:: planetary_coverage.maps.CALLISTO
```
### `SATURN`
```{eval-rst}
.. autoattribute:: planetary_coverage.maps.SATURN
```
### `ENCELADUS`
```{eval-rst}
.. autoattribute:: planetary_coverage.maps.ENCELADUS
```
### `TITAN`
```{eval-rst}
.. autoattribute:: planetary_coverage.maps.TITAN
```
### `URANUS`
```{eval-rst}
.. autoattribute:: planetary_coverage.maps.URANUS
```
### `NEPTUNE`
```{eval-rst}
.. autoattribute:: planetary_coverage.maps.NEPTUNE
```
### `PLUTO`
```{eval-rst}
.. autoattribute:: planetary_coverage.maps.PLUTO
```
### `CHARON`
```{eval-rst}
.. autoattribute:: planetary_coverage.maps.CHARON
```

### `MAPS`
```{eval-rst}
.. autoattribute:: planetary_coverage.maps.MAPS
```
### `Map`
```{eval-rst}
.. autoclass:: planetary_coverage.maps.Map
```

## Projections API

### `ProjAxes`
```{eval-rst}
.. autoclass:: planetary_coverage.projections.axes.ProjAxes
```
### `Equirectangular`
```{eval-rst}
.. autoclass:: planetary_coverage.projections.Equirectangular
```
### `EquirectangularGC`
```{eval-rst}
.. autoclass:: planetary_coverage.projections.EquirectangularGC
```
```{eval-rst}
.. autoclass:: planetary_coverage.projections.equi_gc.Equirectangular
```
### `GroundProjection`
```{eval-rst}
.. autoclass:: planetary_coverage.projections.proj.GroundProjection
```
### `Projection`
```{eval-rst}
.. autoclass:: planetary_coverage.projections.proj.Projection
```
