# SPICE API

## Time convertor API
### `datetime()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.datetime
```
### `sorted_datetimes()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.sorted_datetimes
```
### `iso()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.iso
```
### `jdn_hms()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.jdn_hms
```
### `jd()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.jd
```
### `ymd()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.ymd
```
### `mapps_datetime()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.mapps_datetime
```
### `et()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.et
```
### `et_range()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.et_range
```
### `et_ranges()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.et_ranges
```
### `et_ca_range()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.et_ca_range
```
### `utc()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.utc
```
### `utc_range()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.utc_range
```
### `utc_ranges()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.utc_ranges
```
### `utc_ca_range()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.utc_ca_range
```
### `tdb()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.tdb
```
### `sclk()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.times.sclk
```

## Kernel parser API
### `kernel_parser()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.kernel_parser
```
### `format_data()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.format_data
```
### `get_summary()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.kernel.get_summary
```
### `get_details()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.kernel.get_details
```
### `get_type()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.kernel.get_type
```

## `MetaKernel`
```{eval-rst}
.. autoclass:: planetary_coverage.spice.MetaKernel
```

## SPICE objects API
### `SpicePool`
```{eval-rst}
.. autoclass:: planetary_coverage.spice.SpicePool
```
### `MetaSpicePool`
```{eval-rst}
.. autoclass:: planetary_coverage.spice.pool.MetaSpicePool
```
### `SpiceRef`
```{eval-rst}
.. autoclass:: planetary_coverage.spice.SpiceRef
```
### `SpiceBody`
```{eval-rst}
.. autoclass:: planetary_coverage.spice.SpiceBody
```
### `SpiceObserver`
```{eval-rst}
.. autoclass:: planetary_coverage.spice.SpiceObserver
```
### `SpiceSpacecraft`
```{eval-rst}
.. autoclass:: planetary_coverage.spice.SpiceSpacecraft
```
### `SpiceInstrument`
```{eval-rst}
.. autoclass:: planetary_coverage.spice.SpiceInstrument
```
### `SpiceFrame`
```{eval-rst}
.. autoclass:: planetary_coverage.spice.SpiceFrame
```
### `SpiceFieldOfView`
```{eval-rst}
.. autoclass:: planetary_coverage.spice.SpiceFieldOfView
```
### `SpiceAbCorr`
```{eval-rst}
.. autoclass:: planetary_coverage.spice.SpiceAbCorr
```
### `AbstractSpiceRef`
```{eval-rst}
.. autoclass:: planetary_coverage.spice.references.AbstractSpiceRef
```
### `SpiceRefRegex`
```{eval-rst}
.. autoclass:: planetary_coverage.spice.references.SpiceRefRegex
```

## SPICE toolbox API
### `deg()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.toolbox.deg
```
### `rlonlat()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.toolbox.rlonlat
```
### `planetographic()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.toolbox.planetographic
```
### `ocentric2ographic()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.toolbox.ocentric2ographic
```
### `radec()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.toolbox.radec
```
### `azel()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.toolbox.azel
```
### `sub_obs_pt()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.toolbox.sub_obs_pt
```
### `target_position()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.toolbox.target_position
```
### `sun_pos()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.toolbox.sun_pos
```
### `angular_size()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.toolbox.angular_size
```
### `station_azel()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.toolbox.station_azel
```
### `sc_state()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.toolbox.sc_state
```
### `attitude()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.attitude
```
### `quaternions()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.quaternions
```
### `intersect_pt()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.toolbox.intersect_pt
```
### `boresight_pt()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.toolbox.boresight_pt
```
### `fov_pts()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.toolbox.fov_pts
```
### `target_separation()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.toolbox.target_separation
```
### `local_time()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.toolbox.local_time
```
### `illum_angles()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.toolbox.illum_angles
```
### `solar_longitude()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.toolbox.solar_longitude
```
### `true_anomaly()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.toolbox.true_anomaly
```
### `groundtrack_velocity()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.toolbox.groundtrack_velocity
```
### `pixel_scale()`
```{eval-rst}
.. autofunction:: planetary_coverage.spice.toolbox.pixel_scale
```

## SPICE CLI
### `kernel-download`
```{eval-rst}
.. autofunction:: planetary_coverage.cli.cli_kernel_download
```
### `metakernel-download`
```{eval-rst}
.. autofunction:: planetary_coverage.cli.cli_metakernel_download
```

## SPICE Decorator
### `@check_kernels`
```{eval-rst}
.. autodecorator:: planetary_coverage.spice.check_kernels
```
