# SPICE kernels management

The `planetary-coverage` is a SPICE based application which requires
a set of [kernels](https://naif.jpl.nasa.gov/naif/kernel_selection.html)
to work. Usually these kernels are provided by space agencies.
For example, for the ESA-Juice mission, these kernels can be found in
[ESA SPICE service FTP server](https://spiftp.esac.esa.int/data/SPICE/)
inside the [Juice](https://spiftp.esac.esa.int/data/SPICE/JUICE/kernels/) folder.

The `planetary-coverage` provides two command line interfaces (CLI) that can be used in your terminal
to download a list of kernels from the different space agencies.
See [SPICE download CLI section](../spice/cli) for more details.

**Knowing which kernels are required for your needs can be complicated**, but
usually, your kernel provider should give you a **metakernel** listing all
the kernels recommended for a specific configuration.
For ESA, these metakernels can be found on
[ESA SPICE service website](https://www.cosmos.esa.int/web/spice/) and the
[ESA SPICE bitbucket registry](https://s2e2.cosmos.esa.int/bitbucket/projects/SPICE_KERNELS).

The `planetary-coverage` provides also an interface to download automatically [the latest version of
ESA metakernels](../esa/metakernel) for you.

:::{Tip}
If you want to manage your kernels on your own, you should take a look at
[this notebook](https://nbviewer.jupyter.org/urls/juigitlab.esac.esa.int/notebooks/planetary-coverage/-/raw/main/notebooks/1-kernels/spice_kernels.ipynb)
to see how you can do it efficiently.
:::
