# SPICE toolbox

All the SPICE calculations in the `planetary-coverage` are performed using the [`spiceypy`](https://spiceypy.readthedocs.io) Python package (see [Annex et al. (2020)](https://doi.org/10.21105/joss.02050) for details) which is mainly a wrapper around the [C-SPICE toolkit](https://naif.jpl.nasa.gov/pub/naif/toolkit_docs/C/info/intrdctn.html) developed by [JPL/NAIF](https://naif.jpl.nasa.gov/naif/).

This toolbox aims at providing an additional layer of abstraction on top of `spiceypy` to simplify the usage of the SPICE functions:

```{toctree}
pool.md
ref.md
abcorr.md
cli.md
```
