ESA kernels used in the docs
============================

This folder contains the configuration setup to trim the kernels required in the documentation.
This allow to shrink significantly the size of the required kernels without breaking the examples.

```
1.3 GB    originals/
122 MB    trimmed/
```

Download all kernels
--------------------
The originals kernels are stored in the `originals/` folder:
```bash
python ../download.py originals
```

Trimming the kernels
--------------------
The relevant kernel windows are defined in `config.toml` and the trimmed kernels will be stored in `trimmed/` folder:
```bash
python trim_kernels.py  # --help for details
```

__Note:__
- NAIF `commnt`, `ckslicer`, `spkmerge` and `mkdsk` utilities need to be available locally. They can be found [here](https://naif.jpl.nasa.gov/naif/utilities.html).
- Currently: `ck/juice_sc_crema_5_1_150lb_23_1_baseline_v01.bc` (82 MB) raises a `Subsetting of the type 5 segment is not supported yet` error and can not be sliced. The error was reported to ESS. According the A. Escalante, this file was generated by the SOC using `ckw05` with a `subtype 3` that can not be sliced or converted to `type 6`. Review of this implementation is pending. For now, we will keep this file as is.

Test if the examples still works
--------------------------------
```bash
KERNELS_JUICE=./trimmed/JUICE/kernels python ../../examples/trajectory/*.py

ln -s ../../docs/trim_kernels/trimmed ../../examples/cross-missions/data

python ../../examples/cross-missions/*.py
```
