"""Test IPython module."""

from planetary_coverage import __version__, load_ipython_extension
from planetary_coverage.misc.ipython import print_package


def test_ipython_print_package(capsys):
    """Test ipython print package version."""
    print_package('planetary-coverage', 'foo')

    assert capsys.readouterr().out == (
        f'Installed packages:\n- planetary-coverage: {__version__}\n'
    )


def test_ipython_print_info(capsys):
    """Test ipython %load_ext magic function."""
    load_ipython_extension(None)

    out = capsys.readouterr().out

    assert out.startswith(f'Installed packages:\n- planetary-coverage: {__version__}\n')
    assert 'Kernels ENV variables:' in out
