"""Test miscellaneous list toolbox module."""

from pytest import raises

from planetary_coverage.misc import group_by_2, rindex


def test_list_rindex():
    """Test search of the last index of a reference."""
    assert rindex([1, 2, 3], 2) == 1
    assert rindex([1, 2, 3, 2], 2) == 3
    assert rindex([1, 2, 3, 2, 3], 2) == 3

    with raises(ValueError):
        _ = rindex([1, 1, 1], 2)


def test_list_group_by_2():
    """Test list grouped by 2."""
    # odd size list
    assert group_by_2([1, 2, 3, 4, 5, 6]) == [
        [1, 2],
        [3, 4],
        [5, 6],
    ]

    # even size list
    assert group_by_2([1, 2, 3, 4, 5]) == [
        [1, 2],
        [3, 4],
    ]

    # null size list
    assert not group_by_2([])
